<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "saletype";
$formname = "Sale Type Print";
$file = "saletype.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $code = $_POST[code];
    $name = $_POST[name];
    $per = $_POST[per];


//    $codecond = "";
//    $namecond = "";
//    $percond  = "";
//    if(!empty($code)){
//        $codecond = " AND `code`='$code' ";
//    }
    if (!empty($name)) {
        $namecond = " AND `code`='$name' ";
    }
//    if(!empty($per)){
//        $percond = " AND `per`='$per' ";
//    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code != '' $namecond")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-5">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>

                <div class="col-lg-1">
                    <a onclick="window.close()" class="btn btn-primary">Go Back</a>
                </div>

            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover">
                        <tr class="mySearchTr">
                            <th>Sr.</th>
                            <th>Code</th>
                            <th>Name</th>
                            <th>Percentage</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[code]</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[per]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    $code = $_POST[code];
    $name = $_POST[name];
    $per = $_POST[per];

    if (!empty($name)) {
        $namecond = " AND `code`='$name' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code != ''  ")or die(mysqli_error($conn));

    $contents.="Sr.,Code,Name,Percentage\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pcode = $pmain[code];
        $pname = $pmain[name];
        $pper = $pmain[per];

        $contents.=$ctr . ",";
        $contents.=$pcode . ",";
        $contents.=$pname . ",";
        $contents.=$pper . "\n";

        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>